Package twisted :: Package protocols :: Module sux

[show private | hide private]
[frames | no frames]

## Module twisted.protocols.sux

*S*mall, *U*ncomplicated *X*ML.

This is a very simple implementation of XML as a network protocol. It is not at all clever. Its main features are that it does not:

- support namespaces
- mung mnemonic entity references
- validate
- perform *any* external actions (such as fetching URLs or writing files) under *any* circumstances

If you're looking for an XML parser that *does* do any of these things, I strongly recommend the various parsers in PyXML.

TODO:

- real tests (currently we're just hoping Marmalade tests are good enough)
- better error messages

Classes
`XMLParser` |

Exceptions
`ParseError` |

Function Summary
| ``nop`(*args, **kw)` Do nothing.
| `prefixedMethodClassDict(clazz, prefix)`
| `prefixedMethodObjDict(obj, prefix)`
| `unionlist(*args)`
| `zipfndict(*args, **kw)`

Variable Summary
`str` | `identChars`
`str` | `lenientIdentChars`
`_Feature` | `nested_scopes`

Function Details

### nop(*args, **kw)

Do nothing.

Variable Details

### identChars

  Type:
    `str`
  Value:

        '.-_:'

### lenientIdentChars

  Type:
    `str`
  Value:

        '.-_:;+#'

### nested_scopes

  Type:
    `_Feature`
  Value:

        _Feature((2, 1, 0, 'beta', 1), (2, 2, 0, 'alpha', 0), 16)

Generated by Epydoc 1.1 on Thu May 8 13:16:47 2003 | http://epydoc.sf.net